<Project Sdk="Microsoft.NET.Sdk">

    <PropertyGroup>
        <AssemblyName>nublsp</AssemblyName>
        <OutputType>Exe</OutputType>
        <TargetFramework>net9.0</TargetFramework>
        <ImplicitUsings>enable</ImplicitUsings>
        <Nullable>enable</Nullable>
        <SelfContained>true</SelfContained>
        <PublishSingleFile>true</PublishSingleFile>
    </PropertyGroup>

    <ItemGroup>
      <PackageReference Include="OmniSharp.Extensions.LanguageServer" Version="0.19.9" />
    </ItemGroup>

    <ItemGroup>
      <ProjectReference Include="..\NubLang\NubLang.csproj" />
    </ItemGroup>

</Project>
